Results 1 to 3 of 3

Thread: ACK- issues going from Fedora4 to RHEL4

  1. #1
    Join Date
    Feb 2006
    Posts
    34
    Rep Power
    9

    Default ACK- issues going from Fedora4 to RHEL4

    Hello: So i'm still having issues bringing my ZCS 4.5.8 system back up on RHEL 4.

    I had it running for years on Fedora 4, but I'm trying to move to RHEL4 so I can upgrade to ZCS 5.

    I shutdown ZCS and copied the entire /opt/zimbra to a safe place.

    I built a fresh, pristine RHEL 4 system and installed ZCS 4.5.8 on it.

    I moved the /opt/zimbra off and moved into place my own /opt/zimbra, with my data on it (a few years worth).

    Now trying to start up ZCS, and I've fixed some missing libs (by just creating new symlinks to the existing ones on the system)

    However, http is not starting, and this is stumping me, I'm hoping someone on here has some insight to this:

    -----------

    Syntax error on line 232 of /opt/zimbra/conf/httpd.conf:
    Cannot load /opt/zimbra/httpd-2.0.54/modules/libphp5.so into server: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.4' not found (required by /opt/zimbra/aspell-0.60.3/lib/libaspell.so.15)

    -------------

    I'm poking around rmp trying to see if there is another package, but meanwhile if anyone has a clue as to what this is, I'd appreciate a pointer.

  2. #2
    Join Date
    Feb 2006
    Posts
    34
    Rep Power
    9

    Default

    Or was that a complete red herring?

    I hit my site, and it's up (don't need PHP?).... however, the MTA is not starting.

    /opt/zimbra/cyrus-sasl-2.1.22.3/sbin/saslauthd: error while loading shared libraries: libkrb5support.so.0: cannot open shared object file: No such file or directory
    zmsaslauthdctl failed to start


    Are these libs supposed to be in /opt/zimbra/libs or in the system?

  3. #3
    Join Date
    Feb 2006
    Posts
    34
    Rep Power
    9

    Default

    OK, solved this myself, but that was wierd.

    So libkrb5support.so.0 is in krb5-libs in fedora, but _not_ in RHEL. It just isn't in there. So I luckily found this link, with a fedora 4 rmp:

    ftp://rpmfind.net/linux/fedora/core/...4.1-5.i386.rpm

    Don't use any later rpm version or it will have have other dependancies that are not in RHEL 4.x. This installs over the existing RHEL version fine, and does include libkrb5support.so.0 !

    Once that was in place, MTA started.

    THen I updated to ZCS 4.5.10, and it worked.

    Then I updated to ZCS 5.0.1 and it worked- however, mail was not being received till I created a new self-signed-CERT. Mine had also expired. Search this site for the directions on creating a new CERT for ZCS. I didn't have to do the ldapmodify- I just used the cli commands to make and install a new cert and that worked for me.

    5.0.1 is up on RHEL4 now and seems to be working ok. Jetty seems much faster than Tomcat now!

Similar Threads

  1. Issues installing zimbra 5 on RHEL4
    By Jimerson in forum Installation
    Replies: 0
    Last Post: 12-10-2007, 01:10 PM
  2. Exchange 2003 Migration Issues
    By JordanPWilliams in forum Migration
    Replies: 10
    Last Post: 07-27-2007, 10:51 AM
  3. RHEL4 64-bit or RHEL4 32-bit??
    By jdell in forum Installation
    Replies: 6
    Last Post: 10-12-2006, 02:00 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •